commit cdc496eb55e30f8f2461bedb0a7381c0a7a3d3ae
Author: John David Anglin <danglin@gcc.gnu.org>
Date:   Tue Sep 20 20:14:14 2022 +0000

    hppa: undef __ASSUME_SET_ROBUST_LIST
    
    QEMU does not support support set_robust_list. Thus, we need
    to enable detection of set_robust_list system call.
    
    Signed-off-by: John David Anglin <dave.anglin@bell.net>

diff --git a/sysdeps/unix/sysv/linux/hppa/kernel-features.h b/sysdeps/unix/sysv/linux/hppa/kernel-features.h
index 0cd21ef0fa..079612e4aa 100644
--- a/sysdeps/unix/sysv/linux/hppa/kernel-features.h
+++ b/sysdeps/unix/sysv/linux/hppa/kernel-features.h
@@ -30,3 +30,6 @@
 
 #undef __ASSUME_CLONE_DEFAULT
 #define __ASSUME_CLONE_BACKWARDS 1
+
+/* QEMU does not support set_robust_list.  */
+#undef __ASSUME_SET_ROBUST_LIST

